﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAtelier.Entities;
public class MaterialReplenishment
{
    public int Id { get; private set; }
    
    public int Count { get; private set; }
    public DateTime DataTime { get; private set; }

    public int IDMaterial {  get; private set; }

    public static MaterialReplenishment CreateOperation(int id, int count, DateTime dataTime, int idmaterial)
    {
        return new MaterialReplenishment
        {
            Id = id,
            
            Count = count,
            DataTime = dataTime,
            IDMaterial = idmaterial
        };
    }

}

