﻿using ProjectAtelier.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAtelier.Repositories;

public interface IClientRepository
{
    IEnumerable<Client> ReadClient();
    Client ReadClientById(int id);
    void CreateClient(Client client);
    void UpdateClient(Client client);
    void DeleteClient(int id);
}
